Bug 157767 - Unable to open tnef attachment "winmail.dat"
Unable to open tnef attachment "winmail.dat"
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2005-05-14 16:37 EDT by Ingvar Hagelund
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-10 04:27:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 271398 None None None Never

  None (edit)
Description Ingvar Hagelund 2005-05-14 16:37:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nb-NO; rv:1.7.6) Gecko/20050318 Firefox/1.0.2

Description of problem:
Evolution fails to open the infamous winmail.dat tnef files
while running ktnef, if "Open in TNEF file viewer" is selected in the right-click menu on a tnef attachement. 

Evolution is clearly wrongly configurated, as ktnef tries to open the file "%i - %s" and says "Error: Unable to open file"

Version-Release number of selected component (if applicable):
evolution-2.0.4-4 kdepim-3.3.1-1.FC3.1

How reproducible:

Steps to Reproduce:
1. Open an email with a tnef attachement, typically "winmail.dat"
2. Right-click on the attachement
3. Select "Open in TNEF file viewer"

Actual Results:  ktnef tries to open the file "%i - %s" and says "Error: Unable to open file"

Expected Results:  ktnef opens the attachement and shows the contents of the tnef package. If one selects "Save as" in the right-click menu, and then opens the file in ktnef manually, things works as expected.

Additional info:

A related question:

Is there no generic mime-to-application bindings in evolution? Does it rely on GNOME's settings? If that is the case, how can I make the changes in GNOME?

Comment 1 Sitsofe Wheeler 2005-05-15 10:59:05 EDT
Changing mime settings:
I think you need an on disk copy of the file with the mimetype you wish to
change.  You can then (in nautilus) press the right mouse button over it and go
to the Open With tab.
Comment 2 Ingvar Hagelund 2005-05-15 14:39:45 EDT
I don't think so, no. Nautilus thinks this is an mpeg movie, unknown of what
reason*. Setting Nautilus to open all mpeg movies with ktnef sounds like a bad
idea to me.

Evolution discovers the correct type of the attachement, probably using
/usr/share/magic or some similar mechanism, and actually uses the correct
application (ktnef) to view the file, but as shown above, clearly with wrong


*) This is acutally quite strange, as file(1), finds the correct file type,
"Transport Neutral Encapsulation Format". What kind of magic does Nautilus use
to select correct file type? File name (suffix) only?
Comment 3 Ingvar Hagelund 2005-05-15 15:03:04 EDT
Oh, sorry, there is a typo in the original posting. ktnef tries to open the file
"%i - %c", and not %s as stated. 

Comment 4 Dave Malcolm 2005-05-16 13:34:39 EDT
Thanks for the bug report.

I believe the bug is in evolution/mail/em-popup.c:emp_apps_open_in 
which in FC3 uses a hack to try to generate a command to open the attachment.

Upstream, this was fixed in CVS on 2005-02-22, when it was ported to use
gnome_vfs_mime_application_launch upon a locally saved copy of the attachment,
so it should work in the FC4 test release.

I'll look into whether we can backport the fix.

Comment 5 Dave Malcolm 2005-05-19 00:01:43 EDT
Evolution uses the mimetype written into the email to decide what type the
attachment is.

It uses gnome-vfs to determine what applications are suitable to open such a type.

However, it uses a hack to generate a command to launch the app, which appears
to be failing for this case.

I've backported a fix for this, to use the gnome-vfs launching information.  

I've tested the fix succesfully on my home machine on all attachments I had
available (though no TNEF unfortunately); I'll shortly be able to provide test
packages containing the fix.

Comment 6 Dave Malcolm 2005-05-19 13:10:24 EDT
Test packages are available:

Please can you test them, and see how Evolution handles opening your TNEF
attachments.  Thanks!
Comment 7 Ingvar Hagelund 2005-05-25 19:01:10 EDT
Unfortunately, the updated package does not fix my problem. Evolution is still
trying to open a file named "%i - %c", and fails of course.

Comment 9 Matthew Miller 2006-07-10 19:11:13 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 10 Matthew Barnes 2007-01-01 23:55:39 EST
Is this problem still present in Fedora Core 6 or later?
Comment 11 Ingvar Hagelund 2007-01-07 06:09:20 EST
In Fedora Core 6, evolution-, I only get "Save As" at the
attachement action menu.

Comment 12 Matthew Barnes 2007-01-07 17:45:33 EST

The above link might have some useful information, referenced from
Comment 13 Christian Iseli 2007-01-22 06:22:17 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 14 Ingvar Hagelund 2007-01-23 05:52:51 EST
I can only check Fedora Core 6 and RHEL4. Those do not handle tnef-attachements
at all (only option is to save the attachement). So for Fedora, at least, one
might change the status to wishlist or something, and possibly resolving it by
following the tips at http://www.go-evolution.org/Tnef.

Anyone for FC5? Should be trivial to check if this bug still applies there,
though I have not any boxes running FC5.

Comment 15 Matthew Miller 2007-01-24 14:11:43 EST
As per comment #14 I'm going to move this to FC5.
Comment 16 Matěj Cepl 2007-08-31 11:20:28 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 17 Ingvar Hagelund 2007-09-10 04:27:17 EDT
In f7, evolution still does not support tnef attachements. One can only save the
attachement. The same goes for fc6.

This means that tnef support in evolution on fedora does not exist, and this bug
should become a wishlist item.

As ktnef now is included in fedora again (pacakge kdepim), the fix should be
fairly easy though. Just configure evolution to open tnef attachements with
ktnef. Or consider supporting this solution: http://www.go-evolution.org/Tnef


Note You need to log in before you can comment on or make changes to this bug.